
locals {

  project_name  =  "pwk-sandbox-20220304-i7n0tc"

}



terraform{

  extra_arguments "root_variables" {

     commands = [
      "init",
      "apply",
      "destroy",
      "plan",
      "output"
    ]
   #required_var_files = ["${get_parent_terragrunt_dir()}/common.tfvars"]
   #required_var_files = ["${get_parent_terragrunt_dir()}/default.tfvars"]
 #   arguments = [
#      "-compact-warnings"
 #   ]


  }
}



remote_state {

  backend = "gcs"

  config = {
    bucket = "${local.project_name}-tfstate-file-bucket"
    prefix = "${path_relative_to_include()}/terraform.tfstate"
  }
}


generate "provider" {

  path      = "provider.tf"
  if_exists = "overwrite"

  contents = <<EOF


/************************************************
  Provider configuration generated by TerraGrunt
 ************************************************/
provider "google" {
  version = "~> 4.3"
  project = "${local.project_name}"
  region  = "europe-west4"
}
provider "google-beta" {
  version = "~> 4.3"
  project = "${local.project_name}"
  region  = "europe-west4"
}




terraform {
  backend "gcs" {}
}

EOF
}

